MR-E-2 SDK

Public Member Functions | Properties | List of all members
MrE2ModuleSdk.Device.MrE2ForMr15Dash30DeviceController Class Reference
Inheritance diagram for MrE2ModuleSdk.Device.MrE2ForMr15Dash30DeviceController:

## Public Member Functions
| MrE2ForMr15Dash30DeviceController (ElectronicProperties electronicProperties)
void | AssignProducts ()
bool | Connect (IIpAddressPortPair ipPair)
bool | Connect (IDevicePort port)
void | Disconnect ()
bool | GoToDfuMode ()
bool | ChangeModeToPro ()
bool | ChangeModeToSimple ()
bool | IsConnected ()
bool | Reconnect ()
string | GetElectronicSerialNumber ()
string | GetProductSerialNumber ()
byte[] | GetMirrorEepromBytes (int index, int length)
byte[] | GetBoardEepromBytes (int index, int length)
void | SetMirrorEepromBytes (int index, byte[] bytes)
string | GetGitHeadSha1 ()
void | SetBoardEepromBytes (int index, byte[] bytes)
IProperty[] | GetElectronicProperties ()
IProperty[] | GetProductProperties (ProductProperties productProperty)
IDeviceErrorState[] | GetDeviceStatus ()
void | ResetErrorFlags ()
void | CleanUpDevice ()
int | GetEepromVersion ()
int | GetEepromSubVersion ()
int | GetBoardFirmwareId ()
int | GetBoardFirmwareBranch ()
char | GetBoardFirmwareType ()
int | GetBoardFirmwareMajorVersion ()
int | GetBoardFirmwareMinorVersion ()
int | GetBoardFirmwareRevisionVersion ()
int | GetBoardFirmwareBuildVersion ()
int | GetProxyFpgaVersion ()
int | GetCpuFpgaVersion ()
string | GetFirmwareSerialNumber ()
int | GetPartConfiguration ()
int | GetPartConfigurationVersion ()
int | GetMaxPositiveCurrent ()
int | GetMaxNegativeCurrent ()
int | GetTemperatureOffsetA ()
int | GetTemperatureGradientA ()
int | GetTemperatureOffsetB ()
int | GetTemperatureGradientB ()
void | WriteControlModeOfPidPGain (EAxis axis, float pGain)
void | WriteControlModeOfPidIGain (EAxis axis, float iGain)
void | WriteControlModeOfPidDGain (EAxis axis, float dGain)
float | ReadControlModeOfPidMinimumOutput (EAxis axis)
void | WriteControlModeOfPidMinimumOutput (EAxis axis, float minimumOutput)
float | ReadControlModeOfPidMaximumOutput (EAxis axis)
void | WriteControlModeOfPidMaximumOutput (EAxis axis, float maximumOutput)
float | ReadControlModeOfPidMinimumIntegral (EAxis axis)
void | WriteControlModeOfPidMinimumIntegral (EAxis axis, float minimumIntegral)
float | ReadControlModeOfPidMaximumIntegral (EAxis axis)
void | WriteControlModeOfPidMaximumIntegral (EAxis axis, float maximumIntegral)
float | ReadControlModeOfPidDesiredSetPoint (EAxis axis)
float | ReadControlModeOfPidProportionalGainQuadraticTermMultiplier (EAxis axis)
void | WriteControlModeOfPidProportionalGainQuadraticTermMultiplier (EAxis axis, float aP)
float | ReadControlModeOfPidProportionalGainLinearTermMultiplier (EAxis axis)
void | WriteControlModeOfPidProportionalGainLinearTermMultiplier (EAxis axis, float bP)
float | ReadControlModeOfPidProportionalGainConstantTerm (EAxis axis)
void | WriteControlModeOfPidProportionalGainConstantTerm (EAxis axis, float cP)
float | ReadControlModeOfPidIntegralGainQuadraticTermMultiplier (EAxis axis)
void | WriteControlModeOfPidIntegralGainQuadraticTermMultiplier (EAxis axis, float aI)
float | ReadControlModeOfPidIntegralGainLinearTermMultiplier (EAxis axis)
void | WriteControlModeOfPidIntegralGainLinearTermMultiplier (EAxis axis, float bI)
float | ReadControlModeOfPidIntegralGainConstantTerm (EAxis axis)
void | WriteControlModeOfPidIntegralGainConstantTerm (EAxis axis, float cI)
float | ReadControlModeOfPidDerivativeGainQuadraticTermMultiplier (EAxis axis)
void | WriteControlModeOfPidDerivativeGainQuadraticTermMultiplier (EAxis axis, float aD)
float | ReadControlModeOfPidDerivativeGainLinearTermMultiplier (EAxis axis)
void | WriteControlModeOfPidDerivativeGainLinearTermMultiplier (EAxis axis, float bD)
float | ReadControlModeOfPidDerivativeGainConstantTerm (EAxis axis)
void | WriteControlModeOfPidDerivativeGainConstantTerm (EAxis axis, float cD)
GainSchedulingVariable | ReadControlModeOfPidGainSchedulingVariable (EAxis axis)
void | WriteControlModeOfPidGainSchedulingVariable (EAxis axis, GainSchedulingVariable variable)
bool | ReadControlModeOfPidDerivativeTermFilterEnabled (EAxis axis)
void | SwitchControlModeOfPidDerivativeTermFilter (EAxis axis, bool enabled)
float | ReadControlModeOfPidCutOffFrequency (EAxis axis)
void | WriteControlModeOfPidCutOffFrequency (EAxis axis, float frequency)
bool | ReadControlModeAnglePidGainScheduling (EAxis axis)
void | SwitchControlModeAnglePidGainScheduling (EAxis axis, bool enabled)
float | ReadControlModeAnglePidPGain (EAxis axis)
void | WriteControlModeAnglePidPGain (EAxis axis, float pGain)
float | ReadControlModeAnglePidIGain (EAxis axis)
void | WriteControlModeAnglePidIGain (EAxis axis, float iGain)
float | ReadControlModeAnglePidDGain (EAxis axis)
void | WriteControlModeAnglePidDGain (EAxis axis, float dGain)
float | ReadControlModeAnglePidMinimumOutput (EAxis axis)
void | WriteControlModeAnglePidMinimumOutput (EAxis axis, float minimumOutput)
float | ReadControlModeAnglePidMaximumOutput (EAxis axis)
void | WriteControlModeAnglePidMaximumOutput (EAxis axis, float maximumOutput)
float | ReadControlModeAnglePidMinimumIntegral (EAxis axis)
void | WriteControlModeAnglePidMinimumIntegral (EAxis axis, float minimumIntegral)
float | ReadControlModeAnglePidMaximumIntegral (EAxis axis)
void | WriteControlModeAnglePidMaximumIntegral (EAxis axis, float maximumIntegral)
float | ReadControlModeAnglePidDesiredSetPoint (EAxis axis)
float | ReadControlModeAnglePidProportionalGainQuadraticTermMultiplier (EAxis axis)
void | WriteControlModeAnglePidProportionalGainQuadraticTermMultiplier (EAxis axis, float aP)
float | ReadControlModeAnglePidProportionalGainLinearTermMultiplier (EAxis axis)
void | WriteControlModeAnglePidProportionalGainLinearTermMultiplier (EAxis axis, float bP)
float | ReadControlModeAnglePidProportionalGainConstantTerm (EAxis axis)
void | WriteControlModeAnglePidProportionalGainConstantTerm (EAxis axis, float cP)
float | ReadControlModeAnglePidIntegralGainQuadraticTermMultiplier (EAxis axis)
void | WriteControlModeAnglePidIntegralGainQuadraticTermMultiplier (EAxis axis, float aI)
float | ReadControlModeAnglePidIntegralGainLinearTermMultiplier (EAxis axis)
void | WriteControlModeAnglePidIntegralGainLinearTermMultiplier (EAxis axis, float bI)
float | ReadControlModeAnglePidIntegralGainConstantTerm (EAxis axis)
void | WriteControlModeAnglePidIntegralGainConstantTerm (EAxis axis, float cI)
float | ReadControlModeAnglePidDerivativeGainQuadraticTermMultiplier (EAxis axis)
void | WriteControlModeAnglePidDerivativeGainQuadraticTermMultiplier (EAxis axis, float aD)
float | ReadControlModeAnglePidDerivativeGainLinearTermMultiplier (EAxis axis)
void | WriteControlModeAnglePidDerivativeGainLinearTermMultiplier (EAxis axis, float bD)
float | ReadControlModeAnglePidDerivativeGainConstantTerm (EAxis axis)
void | WriteControlModeAnglePidDerivativeGainConstantTerm (EAxis axis, float cD)
GainSchedulingVariable | ReadControlModeAnglePidGainSchedulingVariable (EAxis axis)
void | WriteControlModeAnglePidGainSchedulingVariable (EAxis axis, GainSchedulingVariable variable)
bool | ReadControlModeAnglePidDerivativeTermFilterEnabled (EAxis axis)
void | SwitchControlModeAnglePidDerivativeTermFilter (EAxis axis, bool enabled)
float | ReadControlModeAnglePidCutOffFrequency (EAxis axis)
void | WriteControlModeAnglePidCutOffFrequency (EAxis axis, float frequency)
void | UnlockMirrorEepromWriting ()
void | LockMirrorEepromWriting ()
void | LockBoardEepromWriting ()
void | UnlockBoardEepromWriting ()
int | ReadStartupSnapshotNumber ()
void | WriteStartupSnapshotNumber (int snapshotNumber)
int | ReadSnapshotManagerErrorSystemId ()
int | ReadSnapshotManagerErrorRegisterId ()
int | ReadSnapshotManagerErrorValue ()
byte[] | ReadVectorAdapterVectorData ()
void | WriteVectorAdapterVectorData (byte[] vectorData)
int | ReadVectorAdapterVectorAddress ()
void | WriteVectorAddress (int vectorAddress)
uint | ReadVectorAdapterVectorIndex ()
void | WriteVectorAdapterVectorIndex (uint vectorIndex)
uint | ReadVectorAdapterDataSize ()
void | WriteVectorAdapterDataSize (uint dataSize)
void | VectorAdapterWriteVector ()
void | VectorAdapterReadVector ()
int | ReadVectorAdapterErrorFlag ()
int | ReadSpiReadPointer0Address ()
void | WriteSpiReadPointer0Address (int address)
int | ReadSpiReadPointer1Address ()
void | WriteSpiReadPointer1Address (int address)
uint | ReadSpiSystemTick ()
int | ReadI2CReadPointer0Address ()
void | WriteI2CReadPointer0Address (int address)
int | ReadI2CReadPointer1Address ()
void | WriteI2CReadPointer1Address (int address)
uint | ReaI2CErrorResponse0 ()
uint | ReaI2CErrorResponse1 ()
void | ReparseMirrorEeprom ()
float | ReadLinearOutputStageAverageLimitPeriod (EAxis axis)
void | WriteLinearOutputStageAverageLimitPeriod (EAxis axis, float value)
float | ReadLinearOutputStageAverageLimitSum (EAxis axis)
void | WriteLinearOutputStageAverageLimitSum (EAxis axis, float value)
float | ReadLinearOutputStageCooldownPeriod (EAxis axis)
void | WriteLinearOutputStageCooldownPeriod (EAxis axis, float value)
void | WriteInputSignalCurrent (EAxis axis, float value)
void | WriteInputSignalOpticalFeedback (EAxis axis, float value)
EUnitType | ReadInputSignalActiveStaticInputType (EAxis axis)
ushort | ReadInputSignalAnalogInputAdcRawValue (EAxis axis)
EUnitType | ReadInputSignalAnalogInputActiveInputType (EAxis axis)
void | WriteInputSignalAngle (EAxis axis, float value)
float | ReadInputSignalCurrent (EAxis axis)
float | ReadInputSignalAngle (EAxis axis)
float | ReadInputSignalOpticalFeedback (EAxis axis)
float | ReadInputSignalSignalGeneratorAmplitude (EAxis axis)
float | ReadInputSignalSignalGeneratorFrequency (EAxis axis)
float | ReadInputSignalSignalGeneratorOffset (EAxis axis)
float | ReadInputSignalSignalGeneratorPhaseDelay (EAxis axis)
EWaveformShape | ReadInputSignalSignalGeneratorShape (EAxis axis)
void | WriteInputSignalSignalGeneratorRunning (EAxis axis, bool isRunning)
bool | ReadInputSignalSignalGeneratorRunning (EAxis axis)
void | WriteInputSignalSignalGeneratorShape (EAxis axis, EWaveformShape shape)
void | WriteInputSignalSignalGeneratorAmplitude (EAxis axis, float value)
void | WriteInputSignalSignalGeneratorFrequency (EAxis axis, float value)
void | WriteInputSignalSignalGeneratorOffset (EAxis axis, float offset)
void | WriteInputSignalSignalGeneratorPhaseDelay (EAxis axis, float phaseDelay)
int | ReadInputSignalSignalGeneratorCycles (EAxis axis)
void | WriteInputSignalSignalGeneratorCycles (EAxis axis, int cycles)
float | ReadInputSignalSignalGeneratorDutyCycles (EAxis axis)
void | WriteInputSignalSignalGeneratorDutyCycles (EAxis axis, float dutyCycles)
bool | ReadInputSignalSignalGeneratorExternalTrigger (EAxis axis)
void | WriteInputSignalSignalGeneratorExternalTrigger (EAxis axis, bool trigger)
void | WriteInputSignalSignalGeneratorUnit (EAxis axis, EUnitType unit)
void | WriteInputConditioningOffsetAndScaleOffset (EAxis axis, float offset)
bool | ReadControlModeOfPidGainScheduling (EAxis axis)
void | SwitchControlModeOfPidGainScheduling (EAxis axis, bool enabled)
void | WriteInputConditioningOffsetAndScaleScale (EAxis axis, float scale)
float | ReadInputConditioningOffsetAndScaleOffset (EAxis axis)
void | WriteInputSignalAnalogInputExternalTrigger (EAxis axis, bool trigger)
float | ReadInputConditioningOffsetAndScaleScale (EAxis axis)
void | ChangeActiveInputStageSystem (EAxis axis, EmrE2InputStageSystems inputStageSystem)
EmrE2InputStageSystems | ReadActiveInputStageSystem (EAxis axis)
EMrE2ControlModeSystems | ReadActiveControlModeStageSystem (EAxis axis)
void | ChangeActiveControlModeStageSystem (EMrE2ControlModeSystems mrE2ControlModeSystem, EAxis axis)
void | WriteInputSignalSignalGenerator (SignalGeneratorValuesDto singleAxis, EAxis axis)
SignalGeneratorValuesDto | ReadInputSignalSignalGenerator (EAxis axis)
IList< float > | ReadArbitraryVectorValues (EAxis axis)
void | WriteArbitraryVectorValues (EAxis axis, IList< float > values, int startIndex)
void | WriteInputSignalArbitraryVectorRunning (EAxis axis, bool running)
bool | ReadInputSignalArbitraryVectorRunning (EAxis axis)
void | WriteInputSignalArbitraryVectorSampleRate (EAxis axis, float value)
float | ReadInputSignalArbitraryVectorMinimumSamplingRate (EAxis axis)
float | ReadInputSignalArbitraryVectorMaximumSamplingRate (EAxis axis)
int | ReadInputSignalAnalogInputCycles (EAxis axis)
void | WriteInputSignalAnalogInputCycles (EAxis axis, int cycles)
bool | ReadInputSignalAnalogInputExternalTrigger (EAxis axis)
void | WriteInputSignalArbitraryVectorUnit (EAxis axis, EUnitType selectedOption)
EUnitType | ReadInputSignalArbitraryVectorUnit (EAxis axis)
float | ReadInputSignalArbitraryVectorSampleRate (EAxis axis)
void | WriteMiscellaneousFeaturesBoardEepromDumpSize (int eepromDumpSize)
void | SaveMemoryPersistence ()
float | ReadLinearOutputStageCurrentLimit (EAxis axis)
void | WriteLinearOutputStageCurrentLimit (EAxis axis, float value)
int | ReadLinearOutputStageChannelNumber (EAxis axis)
float | ReadOfManagerFilteredPhotoDiodePd3 ()
int | ReadLoggedRegisterAddress (int registerNumber)
void | WriteLoggedRegisterAddress (int registerNumber, ushort registerAddress)
void | StartLogger ()
void | StopLogger ()
bool | IsLoggerRunning ()
float | ReadLoggerSamplingRate ()
void | WriteLoggerSamplingRate (float samplingRate)
float | ReadLoggerMinimumSamplingFrequency ()
float | ReadLoggerMaximumSamplingFrequency ()
IList< int > | ReadLoggerRegisterLog (int registerNumber, int startIndex=0, int endIndex=5000)
float | ReadMiscellaneousFeaturesMirrorLedIntensity ()
void | WriteMiscellaneousFeaturesMirrorLedIntensity (float ledIntensity)
void | MiscellaneousFeaturesSwitchProxyFpgaClock (bool enabled)
void | MiscellaneousFeaturesSwitchCpuBoardStatusLed (bool enabled)
void | MiscellaneousFeaturesDumpFpgaMappedMemory ()
void | MiscellaneousFeaturesDumpDeviceEepromMappedMemory ()
int | ReadMiscellaneousFeaturesFpgaStatusRegister ()
void | MiscellaneousFeaturesDumpBoardEepromMappedMemory ()
void | MiscellaneousFeaturesSwitchProxyBoardStatusLed (bool enabled)
void | MiscellaneousFeaturesResetFirmware ()
int | ReadMiscellaneousFeaturesDeviceEepromDumpSize ()
void | WriteMiscellaneousFeaturesDeviceEepromDumpSize (int eepromDumpSize)
int | ReadMiscellaneousFeaturesBoardEepromDumpSize ()
float | ReadLinearOutputStageActualCurrent (EAxis axis)
void | WriteTemperatureElectronicThreshold (int temperatureThreshold)
int | ReadTemperatureElectronicThreshold ()
void | WriteTemperatureDeviceThreshold (int temperatureThreshold)
int | ReadTemperatureDeviceThreshold ()
float | ReadOfManagerActualOutputOpticalFeedback (EAxis axis)
float | ReadOfManagerActualOutputAngle (EAxis axis)
float | ReadOfManagerStabilityCriterionPositionParameterA ()
float | ReadOfManagerStabilityCriterionPositionParameterB ()
float | ReadOfManagerStabilityCriterionVelocityParameterA ()
float | ReadOfManagerStabilityCriterionVelocityParameterB ()
float | ReadOfManagerRawPhotoDiodePd0 ()
float | ReadOfManagerRawPhotoDiodePd1 ()
float | ReadOfManagerRawPhotoDiodePd2 ()
float | ReadOfManagerRawPhotoDiodePd3 ()
float | ReadOfManagerFilteredPhotoDiodePd0 ()
float | ReadOfManagerFilteredPhotoDiodePd1 ()
float | ReadOfManagerFilteredPhotoDiodePd2 ()
int | ReadTemperatureElectronic ()
int | ReadTemperatureDevice ()
void | LoadSnapshot (int snapshotNumber)
void | SaveSnapshot (int snapshotNumber)
int | ReadNumberOfAvailableSnapshots ()
float | ReadControlModeOfPidPGain (EAxis axis)
float | ReadControlModeOfPidIGain (EAxis axis)
float | ReadControlModeOfPidDGain (EAxis axis)
EUnitType | ReadInputSignalSignalGeneratorUnit (EAxis axis)

## Properties
ProductProperties[] | ProductTypesList`[get]`
ElectronicProperties | ElectronicsType`[get]`

The documentation for this class was generated from the following file:

- Device/MrE2ForMr15Dash30DeviceController.cs